﻿using AspnRCL_Demo.Model;
using ConsomeRCL.Models;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;

namespace ConsomeRCL.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            //criando uma instância do Model da RCL
            TesteModel testeModel = new TesteModel();
            //atribuindo um valor para a propriedade Nome
            testeModel.Nome = "Macoratti .net";
            //colocando em um ViewData
            ViewData["testeModel"] = testeModel;

            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
